## ----------------------------------------------------------------------------
# rishu_remote.pl
#   里珠・外部のプロセスの受け側.
# -----------------------------------------------------------------------------
# Rishu::Remote->new()->run() を呼ぶと, あとは run の中から適宜
# main::on_load, etc.. が呼ばれます.
# 
# -----------------------------------------------------------------------------
# Mastering programed by YAMASHINA Hio
#
# Copyright 2002 YMIRLINK,Inc.
# -----------------------------------------------------------------------------
# $Id: rishu_remote.pl,v 1.6 2002/11/10 13:55:58 hio Exp $
# -----------------------------------------------------------------------------
package main;
use strict;

# -----------------------------------------------------------------------------
# Rishu::Remote 起動.
BEGIN
{
  my $here = $0;
  if( $^O eq 'MSWin32' )
  {
    $here =~ s/[^\\]+$//;
    $here ||= '.\\';
  }else
  {
    $here =~ s,[^/]+$,,;
    $here ||= './';
  }
  unshift @INC,$here.'lib';
}
use Rishu::Remote;
my $remote = Rishu::Remote->new();
$remote->run();

# 起動コード ここまで.
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# 以下, 里珠ハンドラ

# -----------------------------------------------------------------------------
# on_load
sub on_load
{
  my $data = shift;
  $data;
}

# -----------------------------------------------------------------------------
# on_request
sub on_request
{
  my $data = shift;
  "SHIORI/3.0 200 ok\r\n".$data;
}

# -----------------------------------------------------------------------------
# on_unload
sub on_unload
{
  1;
}

1;
